Subject: Re: [arch-d] Call for Comment: <draft-ietf-iasa2-rfc4844-bis-02> (The RFC Series and RFC Editor)

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 Sep 2019 14:06:28 +1200

Hi,

I believe this draft does represent the consensus of the IASA2 WG and cleans up some loose ends from the IAOC to IETF LLC transition. However, I believe that it should not be published as an RFC. The discussions that will soon start about the future of the RFC Editor model make that rather pointless.

Regards
   Brian Carpenter
On 05-Sep-19 09:03, IAB Executive Administrative Manager wrote:
> This is an announcement of an IETF-wide Call for Comment on 
> draft-ietf-iasa2-rfc4844-bis-02.
> 
> The document is being considered for publication as an Informational RFC 
> within the IAB stream, and is available for inspection at:
> <https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc4844-bis/>
> 
> The Call for Comment will last until 2019-10-02. Please send comments to
> [email-masked] and [email-masked].
> 
> Abstract
> 
>    This document describes the framework for an RFC Series and an RFC
>    Editor function that incorporate the principles of organized
>    community involvement and accountability that has become necessary as
>    the Internet technical community has grown, thereby enabling the RFC
>    Series to continue to fulfill its mandate.
> 
>    Cover Note:
> 
>    {{ RFC Editor: Please remove this cover note prior to publication. }}
> 
>    The IASA2 WG asks the IAB to publish this replacement for RFC 4844.
>    The document is changed for alignment with the new structure for the
>    IETF Administrative Support Activity (IASA), eliminating all
>    references to the IETF Administrative Oversight Committee (IAOC).
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 25 Sep 2019 18:26:18 +0100

Hi,

I have a few comments on this document.

Section 3.3:

The first paragraph of this section fails to mention the IAB and RSOC, which according to RFC 6635 have oversight roles. It seems incorrect to claim that operational oversight is solely the responsibility of IASA.

The second paragraph is superfluous since the roles of the LLC Board and ED are defined in rfc4071bis, so I think for clarity it should be removed.

The resulting changes could appear as follows:

OLD 
The IETF Administration Limited Liability Company (IETF LLC), as part of the IETF Administrative Support Activity (IASA), is responsible for administrative and financial matters for the IETF, the IAB, and the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis]. The IASA is tasked with providing the funding for and operational oversight of the RFC Editor.

The IETF LLC Board provides oversight of the IASA, and the IETF Executive Director is the chief actor for the IASA.

The IETF Executive Director works with the IAB to identify suitable persons or entities to fulfill the mandate of the RFC Editor.

NEW 
The IETF Administration Limited Liability Company (IETF LLC), as part of the IETF Administrative Support Activity (IASA), is responsible for administrative and financial matters for the IETF, the IAB, and the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis].The IASA is tasked with providing the funding for the RFC Editor. The IASA, the IAB, and the RFC Series Oversight Committee (RSOC) provide operational oversight of the RFC Editor.

The IETF Executive Director works with the IAB to identify suitable persons or entities to fulfill the mandate of the RFC Editor.

Section 7:

I would suggest the following to make the text consistent with rfc4071bis Sec. 4.2:

OLD
   Under the new structure, the IETF LLC performs the tasks that were
   previously assigned to the IETF Administrative Oversight Committee
   (IAOC) under the old structure.

NEW
   Under the new structure, the IETF LLC performs the tasks related to IASA that were
   previously assigned to the IETF Administrative Director and to the Internet Society.

Thanks,
Alissa

> On Sep 4, 2019, at 10:03 PM, IAB Executive Administrative Manager <[email-masked]> wrote:
>